Appearance
Script Generation API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| generate_interview_script | POST /scriptGeneration/generate | Generate Interview Script Suggestion |
generate_interview_script
ScriptGenerationOutput generate_interview_script(script_generation_request)
Generate Interview Script Suggestion
Generates a suggested list of open-ended interview questions based on audience, concepts, and optional topics for Multi-Concept studies.
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.script_generation_output import ScriptGenerationOutput
from syntheticusers.models.script_generation_request import ScriptGenerationRequest
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.ScriptGenerationApi(api_client)
script_generation_request = syntheticusers.ScriptGenerationRequest() # ScriptGenerationRequest |
try:
# Generate Interview Script Suggestion
api_response = api_instance.generate_interview_script(script_generation_request)
print("The response of ScriptGenerationApi->generate_interview_script:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling ScriptGenerationApi->generate_interview_script: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| script_generation_request | ScriptGenerationRequest |
Return type
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |